Index: webapp/cms/plugins/newsletter/pages/service/list/list.xsl
===================================================================
--- webapp/cms/plugins/newsletter/pages/service/list/list.xsl	(revision 9137)
+++ webapp/cms/plugins/newsletter/pages/service/list/list.xsl	(working copy)
@@ -18,51 +18,71 @@
 				xmlns:i18n="http://apache.org/cocoon/i18n/2.1"
 				xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
 
+    <xsl:import href="workspace:web://stylesheets/template-default.xsl"/>
+    <xsl:import href="service:web://pages/services/common.xsl"/>
+
+    <!-- TODO -->
 	<xsl:param name="contextPath"/>
-	<xsl:param name="cms-context"/>
+	<!-- TODO -->
+    <xsl:param name="cms-context"/>
+    <!-- TODO -->
 	<xsl:param name="raw-context"/>
+    <!-- TODO -->
     <xsl:param name="skin"/>
+    <!-- TODO -->
 	<xsl:param name="lang"/>
+    <!-- TODO -->
 	<xsl:param name="siteName"/>
+    <!-- TODO -->
 	<xsl:param name="service-title"/>
+    <!-- TODO -->
 	<xsl:param name="length"/>
+    
+    <!-- Used in common.xsl -->
+    <xsl:variable name="common-service-css-class-name">newsletter newsletter-list</xsl:variable>
+    <xsl:variable name="is-empty" select="not(/Newsletters/newsletter)"/>    
 	
+
+    <!-- +
+         | ROOT TEMPLATE
+         + -->      
 	<xsl:template match="/Newsletters">
-		<html>
-			<body>
-				<div id="service-newsletter-list">
-					
-					<!-- Title -->
-					<xsl:choose>
-						<xsl:when test="$service-title != ''">
-							<h1><xsl:value-of select="$service-title"/></h1>
-						</xsl:when>
-						<xsl:otherwise>
-							<h1><i18n:text i18n:key="NEWSLETTERS_SERVICE_LIST_DESCRIPTION"/></h1>
-						</xsl:otherwise>
-					</xsl:choose>
-					
-					<xsl:call-template name="newsletter-list"/>
-				</div>
-			</body>
-		</html>
-	</xsl:template>
+        <xsl:call-template name="common-service"/>
+	</xsl:template>  
 	
-	<xsl:template name="newsletter-list">
-		<xsl:if test="newsletter">
-			<ul>
-				<xsl:for-each select="newsletter">
-					<li>
-						<a href="{$cms-context}/_wrapped-content/{@name}.html" title="{title}"><xsl:value-of select="title"/></a>
-						<xsl:text> - </xsl:text>
-						<i18n:date src-pattern="yyyy-MM-dd'T'hh:mm:ss" pattern="long"><xsl:value-of select="date"/></i18n:date>
-						<xsl:if test="number">
-							<xsl:text>, N°</xsl:text><xsl:value-of select="number"/>
-						</xsl:if>
-					</li>
-				</xsl:for-each>
-			</ul>
-		</xsl:if>
-	</xsl:template>
+    <!-- +
+         | BODY
+         + -->    
+
+    <!-- Used in common.xsl --> 
+    <xsl:template name="common-service-body-nonempty-content">
+        <xsl:call-template name="common-service-body-nonempty-content-title">
+            <xsl:with-param name="title" select="$service-title"/>
+            <xsl:with-param name="default-title">plugin.newsletter:NEWSLETTERS_SERVICE_LIST_DESCRIPTION</xsl:with-param>
+        </xsl:call-template>
+        
+        <xsl:call-template name="newsletter-list"/>            
+    </xsl:template>    
+    
+    <!-- TODO -->
+    <xsl:template name="newsletter-list">
+            <ul>
+                <xsl:for-each select="newsletter">
+                    <li>
+                        <xsl:attribute name="class">
+                            <xsl:if test="position() mod 2 = 0"><xsl:text>even </xsl:text></xsl:if>                                
+                            <xsl:if test="position() = 1"><xsl:text>first </xsl:text></xsl:if>
+                            <xsl:if test="position() = last()"><xsl:text>last</xsl:text></xsl:if>
+                        </xsl:attribute>                    
+                        <a href="{$cms-context}/_wrapped-content/{@name}.html" title="{title}"><xsl:value-of select="title"/></a>
+                        <xsl:text> - </xsl:text>
+                        <i18n:date src-pattern="yyyy-MM-dd'T'hh:mm:ss" pattern="long"><xsl:value-of select="date"/></i18n:date>
+                        <xsl:if test="number">
+                            <xsl:text>, N°</xsl:text><xsl:value-of select="number"/>
+                        </xsl:if>
+                    </li>
+                </xsl:for-each>
+            </ul>    
+    </xsl:template>
 	
 </xsl:stylesheet>
Index: webapp/cms/plugins/newsletter/pages/service/subscribe/subscribe.xsl
===================================================================
--- webapp/cms/plugins/newsletter/pages/service/subscribe/subscribe.xsl	(revision 9137)
+++ webapp/cms/plugins/newsletter/pages/service/subscribe/subscribe.xsl	(working copy)
@@ -21,57 +21,75 @@
                 extension-element-prefixes="math">
 
 	<xsl:import href="plugin:cms://stylesheets/helper/common.xsl"/>
+    <xsl:import href="service:web://pages/services/common.xsl"/>    
 
+    <!-- TODO -->
 	<xsl:param name="contextPath"/>
+    <!-- TODO -->
 	<xsl:param name="cms-context"/>
+    <!-- TODO -->    
 	<xsl:param name="skin"/>
+    <!-- TODO -->    
 	<xsl:param name="lang"/>
+    <!-- TODO -->    
 	<xsl:param name="siteName"/>
+    <!-- TODO -->    
 	<xsl:param name="plugin"/>
+    <!-- TODO -->
 	<xsl:param name="service-title"/>
+    <!-- TODO -->    
 	<xsl:param name="length"/>
 	
     <xsl:variable name="uniqueId" select="substring-after(math:random(), '.')"/>
     
-	<xsl:template match="/NewsletterService">
-		<html>
-            <head>
-                <xsl:call-template name="css"/>
-            </head>
-			<body>
-				<div id="service-newsletter-form-{$uniqueId}" class="newsletter-subscribe">
-					
-					<!-- Title -->
-					<xsl:choose>
-						<xsl:when test="$service-title != ''">
-							<h1><xsl:value-of select="$service-title"/></h1>
-						</xsl:when>
-						<xsl:otherwise>
-							<h1><i18n:text i18n:key="NEWSLETTERS_SERVICE_SUBCRIBE_FORM_TITLE"/></h1>
-						</xsl:otherwise>
-					</xsl:choose>
-					
-					<xsl:choose>
-						<xsl:when test="FormResult/msg = 'success'">
-							<xsl:call-template name="success"/>
-						</xsl:when>
-						<xsl:otherwise>
-							<!-- Form -->
-							<xsl:call-template name="subscribe-form"/>
-						</xsl:otherwise>
-					</xsl:choose>
-					
-					<!-- Legal mentions -->
-					<xsl:call-template name="mentions"/>
-				</div>
-			</body>
-		</html>
+    <!-- Used in common.xsl -->
+    <xsl:variable name="common-service-css-class-name">newsletter newsletter-subscribe</xsl:variable>
+    <xsl:variable name="is-empty" select="not(/NewsletterService)"/>      
+    
+	
+    <!-- +
+         | ROOT TEMPLATE
+         + -->     
+    <xsl:template match="/NewsletterService">
+        <xsl:call-template name="common-service"/>
 	</xsl:template>
     
-    <xsl:template name="css">
+    <!-- +
+         | HEAD
+         + -->    
+
+    <!-- Used in common.xsl --> 
+    <xsl:template name="common-service-head-css">
         <link rel="stylesheet" type="text/css" href="{$contextPath}/plugins/{$plugin}/resources/css/newsletter.css"/>
-    </xsl:template>
+    </xsl:template>    
+    
+    <!-- +
+         | BODY
+         + -->    
+
+    <!-- Used in common.xsl --> 
+    <xsl:template name="common-service-body-nonempty-content">
+        <xsl:call-template name="common-service-body-nonempty-content-title">
+            <xsl:with-param name="title" select="$service-title"/>
+            <xsl:with-param name="default-title">plugin.<xsl:value-of select="$plugin"/>:NEWSLETTERS_SERVICE_SUBCRIBE_FORM_TITLE</xsl:with-param>            
+        </xsl:call-template>
+
+        <xsl:choose>
+            <xsl:when test="FormResult/msg = 'success'">
+                <xsl:call-template name="success"/>
+            </xsl:when>
+            <xsl:otherwise>
+                <!-- Form -->
+                <xsl:call-template name="subscribe-form"/>
+            </xsl:otherwise>
+        </xsl:choose>
+        
+        <!-- Legal mentions -->
+        <xsl:call-template name="mentions"/>
+        
+    </xsl:template>    
     
+    <!-- TODO -->
 	<xsl:template name="success">
 		<div class="info">
 			<xsl:if test="FormResult/subscribeTo">
@@ -125,6 +143,7 @@
 		</div>
 	</xsl:template>
 	
+    <!-- TODO -->
 	<xsl:template name="subscribe-form">
 		<form method="post">
 			<p>
@@ -133,54 +152,66 @@
 					<i18n:param><xsl:value-of select="Categories/category/title"/></i18n:param>
 				</i18n:translate>
 			</p>
-			<!-- email -->
-			<label for="subscribe-email"><i18n:text i18n:key="NEWSLETTERS_SERVICE_INPUT_EMAIL"/></label><br/>
-			<input type="text" name="email" class="text" id="subscribe-email-{$uniqueId}" value="{FormResult/email}">
-				<xsl:if test="FormResult/msg = 'invalid-email'">
-					<xsl:attribute name="class">invalid</xsl:attribute>
-				</xsl:if>
-			</input>
+
+            <!-- category -->
+            <input type="hidden" name="category" value="{Categories/category/@id}"/>
+                        
+            <!-- email -->
+            <div class="field">
+                <div class="label">
+                    <label for="subscribe-email"><i18n:text i18n:key="NEWSLETTERS_SERVICE_INPUT_EMAIL"/></label>                
+                </div>
+                <div class="input">
+                    <input type="text" name="email" class="text" id="subscribe-email-{$uniqueId}" value="{FormResult/email}">
+                        <xsl:if test="FormResult/msg = 'invalid-email'">
+                            <xsl:attribute name="class">invalid</xsl:attribute>
+                        </xsl:if>
+                    </input>                
+                </div>
+            </div>
 			<xsl:if test="FormResult/msg = 'invalid-email'">
-				<div class="error"><i18n:text i18n:key="NEWSLETTERS_SERVICE_INPUT_EMAIL_INVALID"/></div>
+				<p class="error"><i18n:text i18n:key="NEWSLETTERS_SERVICE_INPUT_EMAIL_INVALID"/></p>
 			</xsl:if>
 			<xsl:if test="FormResult/msg = 'already-exist'">
-				<div class="error"><i18n:text i18n:key="NEWSLETTERS_SERVICE_EMAIL_ALREADY_EXISTS"/></div>
+				<p class="error"><i18n:text i18n:key="NEWSLETTERS_SERVICE_EMAIL_ALREADY_EXISTS"/></p>
 			</xsl:if>
-			<br/><br/>
-			
-			<!-- category -->
-			<input type="hidden" name="category" value="{Categories/category/@id}"/>
 			
 			<!-- captcha -->
-			<label for="captcha"><i18n:text i18n:key="NEWSLETTERS_SERVICE_INPUT_CAPTCHA"/></label><br/>
-
-			<xsl:call-template name="captcha">
-				<xsl:with-param name="key-name" select="'captcha-key'"/>
-	
-				<xsl:with-param name="value-name" select="'captcha'"/>
-				<xsl:with-param name="value-id" select="concat('captcha-', $uniqueId)"/>
-				<xsl:with-param name="value-style">float: left; margin-top: <xsl:value-of select="(@height - 16) div 2"/>px; width: <xsl:value-of select="@width"/>px;</xsl:with-param>
-				<xsl:with-param name="value-class">
-                    <xsl:text>captcha</xsl:text>
-    				<xsl:if test="FormResult/msg = 'invalid-captcha'">
-                        <xsl:text> invalid</xsl:text>
-    				</xsl:if>
-				</xsl:with-param>
-	
-				<xsl:with-param name="image-alt"/>
-				<xsl:with-param name="image-alt-i18n" select="false()"/>
-				<xsl:with-param name="image-class">captcha-image</xsl:with-param>
-				<xsl:with-param name="image-style">float:left; margin: 3px 3px 0 10px</xsl:with-param>
-			</xsl:call-template> 
-
+            <div class="field">
+                <div class="label">
+                    <label for="captcha"><i18n:text i18n:key="NEWSLETTERS_SERVICE_INPUT_CAPTCHA"/></label>
+                </div>
+                <div class="input">
+                    <xsl:call-template name="captcha">
+                        <xsl:with-param name="key-name" select="'captcha-key'"/>
+            
+                        <xsl:with-param name="value-name" select="'captcha'"/>
+                        <xsl:with-param name="value-id" select="concat('captcha-', $uniqueId)"/>
+                        <xsl:with-param name="value-class">
+                            <xsl:text>captcha</xsl:text>
+                            <xsl:if test="FormResult/msg = 'invalid-captcha'">
+                                <xsl:text> invalid</xsl:text>
+                            </xsl:if>
+                        </xsl:with-param>
+            
+                        <xsl:with-param name="image-alt"/>
+                        <xsl:with-param name="image-alt-i18n" select="false()"/>
+                        <xsl:with-param name="image-class">captcha-image</xsl:with-param>
+                    </xsl:call-template>                
+                </div>
+            </div>
+                        
 			<xsl:if test="FormResult/msg = 'invalid-captcha'">
-				<div class="error"><i18n:text i18n:key="NEWSLETTERS_SERVICE_INPUT_CAPTCHA_INVALID"/></div>
+				<p class="error"><i18n:text i18n:key="NEWSLETTERS_SERVICE_INPUT_CAPTCHA_INVALID"/></p>
 			</xsl:if>
-			<br class="break"/>
+            <div class="bottom"><xsl:comment>empty</xsl:comment></div>
 			
 			<input type="hidden" name="subscribe"/>
 			<input type="hidden" name="siteName" value="{$siteName}"/>
-			<input type="submit" class="submit" value="NEWSLETTERS_SERVICE_INPUT_SUBMIT" i18n:attr="value"/>
+			
+            <xsl:call-template name="common-service-body-input-submit">
+                <xsl:with-param name="value">plugin.<xsl:value-of select="$plugin"/>:NEWSLETTERS_SERVICE_INPUT_SUBMIT</xsl:with-param>
+            </xsl:call-template>
 		</form>
 	</xsl:template>
 	
@@ -198,26 +229,30 @@
 		</xsl:choose>
 		
 		<xsl:if test="FormResult/msg = 'invalid-category'">
-			<div class="error"><i18n:text i18n:key="NEWSLETTERS_SERVICE_INPUT_CATEGORY_INVALID"/></div>
+			<p class="error"><i18n:text i18n:key="NEWSLETTERS_SERVICE_INPUT_CATEGORY_INVALID"/></p>
 		</xsl:if>
 			
-		<br/><br/>
 	</xsl:template>
 	
 	<xsl:template match="category">
 		<xsl:param name="indent">0</xsl:param>
 		
 		<xsl:variable name="id" select="@id"/>
-		<input type="checkbox" name="category" value="{@id}" id="category_{$uniqueId}_{position()}" style="margin-left: {$indent}px">
-			<xsl:if test="/NewsletterService/FormResult/category[. = $id]">
-				<xsl:attribute name="checked">checked</xsl:attribute>
-			</xsl:if>
-		</input>
-		<label for="category_{$uniqueId}_{position()}"><xsl:value-of select="title"/></label>
-		<xsl:if test="description != ''">
-			<span class="description">(<xsl:value-of select="description"/>)</span>
-		</xsl:if>
-		<br/>
+		<div class="field checkbox">
+            <div class="input">
+                <input type="checkbox" name="category" value="{@id}" id="category_{$uniqueId}_{position()}" style="margin-left: {$indent}px">
+                    <xsl:if test="/NewsletterService/FormResult/category[. = $id]">
+                        <xsl:attribute name="checked">checked</xsl:attribute>
+                    </xsl:if>
+                </input>            
+            </div>
+            <div class="label">
+                <label for="category_{$uniqueId}_{position()}"><xsl:value-of select="title"/></label>
+                <xsl:if test="description != ''">
+                    <span class="description">(<xsl:value-of select="description"/>)</span>
+                </xsl:if>            
+            </div>            
+        </div>
 		
 		<xsl:apply-templates select="category">
 			<xsl:with-param name="indent" select="$indent + 20"/>
@@ -225,6 +260,7 @@
 		
 	</xsl:template>
 	
+    <!-- TODO -->
 	<xsl:template name="mentions">
 		<div class="mentions">
 			<i18n:text i18n:key="NEWSLETTERS_SERVICE_LEGAL_MENTIONS"/>
Index: webapp/cms/plugins/newsletter/pages/unsubscribe.xsl
===================================================================
--- webapp/cms/plugins/newsletter/pages/unsubscribe.xsl	(revision 9137)
+++ webapp/cms/plugins/newsletter/pages/unsubscribe.xsl	(working copy)
@@ -85,8 +85,7 @@
 			<input type="hidden" name="categoryId" value="{categoryId}"/>
 			<input type="hidden" name="email" value="{email}"/>
 			
-			<input type="submit" class="submit" value="NEWSLETTERS_SERVICE_UNSUBSCRIBE_CONFIRM_BTN" i18n:attr="value">
-			</input>
+			<input type="submit" class="submit" value="NEWSLETTERS_SERVICE_UNSUBSCRIBE_CONFIRM_BTN" i18n:attr="value"/>
 		</form>
 	</xsl:template>
 	
Index: webapp/cms/plugins/socialnetworking/pages/services/twitter/show-tweets.xsl
===================================================================
--- webapp/cms/plugins/socialnetworking/pages/services/twitter/show-tweets.xsl	(revision 9137)
+++ webapp/cms/plugins/socialnetworking/pages/services/twitter/show-tweets.xsl	(working copy)
@@ -20,91 +20,127 @@
 	xmlns:math="http://exslt.org/math" 
 	exclude-result-prefixes="math">
 	
+    <xsl:import href="service:web://pages/services/common.xsl"/>    
+    
+    <!-- TODO -->
 	<xsl:param name="usersnames" />
+    <!-- TODO -->
 	<xsl:param name="max" />
+    <!-- TODO -->
 	<xsl:param name="displayicon" />
+    <!-- TODO -->
 	<xsl:param name="contextPath" />
+    <!-- TODO -->
 	<xsl:param name="pluginName" />
-	
-	<xsl:template match="/">
-		<xsl:variable name="id" select="concat('show_tweets_', substring-after(math:random(), '.'))"/>
-	
-		<html>
-			<head>
-				<script type="text/javascript" src="{$contextPath}/plugins/{$pluginName}/resources/js/twitter/jquery.jtweetsanywhere-1.2.0.min.js" /> 
-				
-				<link type="text/css" href="{$contextPath}/plugins/{$pluginName}/resources/css/twitter/jquery.jtweetsanywhere-1.2.0.css" rel="stylesheet" />
+    
+    <!-- Used in common.xsl -->
+    <xsl:variable name="common-service-css-class-name">socialnetworking socialnetworking-tweets</xsl:variable>
+    <xsl:variable name="common-service-id-name" select="concat('show_tweets_', substring-after(math:random(), '.'))"/>
+    <xsl:variable name="is-empty" select="false()"/>    
+    
+    
+    <!-- +
+         | HEAD
+         + -->    
 
-				<script type="text/javascript">
-					function <xsl:value-of select="$id"/>_onready() 
-					{
-						var accounts = "<xsl:value-of select="$usersnames" />".split(',');
-						var finalAccounts = [];
-						
-						for (var i = 0; i &lt; accounts.length; i++)
-						{
-							var account = accounts[i];
-							if (account != null &amp;&amp; account.replace(/^\s+|\s+$/g, "") != '')
-							{
-								finalAccounts.push(account.replace(/^\s+|\s+$/g, ""));
-							}
-						}
+    <!-- Used in common.xsl --> 
+    <xsl:template name="common-service-head-css">
+        <link type="text/css" href="{$contextPath}/plugins/{$pluginName}/resources/css/twitter/jquery.jtweetsanywhere-1.2.0.css" rel="stylesheet" />    
+    </xsl:template>    
+    
+    <!-- Used in common.xsl -->
+    <xsl:template name="common-service-head-js">
+        <script type="text/javascript" src="{$contextPath}/plugins/{$pluginName}/resources/js/twitter/jquery.jtweetsanywhere-1.2.0.min.js" />
+        <script type="text/javascript">
+            function <xsl:value-of select="$common-service-id-name"/>_onready() 
+            {
+                var accounts = "<xsl:value-of select="$usersnames" />".split(',');
+                var finalAccounts = [];
+                
+                for (var i = 0; i &lt; accounts.length; i++)
+                {
+                    var account = accounts[i];
+                    if (account != null &amp;&amp; account.replace(/^\s+|\s+$/g, "") != '')
+                    {
+                        finalAccounts.push(account.replace(/^\s+|\s+$/g, ""));
+                    }
+                }
 
-				   		$j('div#<xsl:value-of select="$id"/>').jTweetsAnywhere(
-				   			{
-						        username: finalAccounts,
-						        count: <xsl:value-of select="$max" />,
-						        showTweetFeed: {
-								        showSource: true, // show info about the source of the tweet
-								        showTimestamp: true, // to display a tweet's timestamp
-								        expandHovercards: true, // show Hovercards in expanded mode
-								        showProfileImages : <xsl:value-of select="$displayicon" /> // display a profile image in tweets
-								},
-								includeRetweets: true,
-								showConnectButton: true,
-							    showLoginInfo: true,
-							    tweetSourceDecorator: function(tweet, options)
-								{
-									// if tweet is a native retweet, use the retweet's source
-									var tw = tweet.retweeted_status || tweet;
-							
-									var source = tw.source.replace(/\&amp;lt\;/gi,'&lt;').replace(/\&amp;gt\;/gi,'>').replace(/\&amp;quot\;/gi,'"');
-									var html =
-										'&lt;span class="jta-tweet-source">' +
-										' via ' +
-										'&lt;span class="jta-tweet-source-link">' +
-										source +
-										'&lt;/span>' +
-										'&lt;/span> ' +
-									    '&lt;a class="jta-tweet-retweet" target="_blank" href="http://twitter.com/home?status=' + 'RT+@' + tweet.from_user + ':+' + encodeURIComponent(tweet.text) + '">'
-									    + '<i18n:text i18n:key="PLUGINS_SOCIAL_NETWORKING_TWITTER_RETWEET"/>'
-									    + '&lt;/a>';
-							
-									return html;
-								}
-							}					        
-					    );
-					}
-					$j(document).ready(<xsl:value-of select="$id"/>_onready);
-				</script>
-			</head>
-			<body>
-				<div id="{$id}" class="show-tweets">
-					<noscript>
-						<p><i18n:text i18n:key="PLUGINS_SOCIAL_NETWORKING_TWITTER_NOSCRIPT_BEGIN"/></p>
-						<ul>
-							<xsl:call-template name="split-usernames">
-								<xsl:with-param name="usersnames" select="$usersnames"/>
-							</xsl:call-template>
-						</ul>
-						<p><i18n:text i18n:key="PLUGINS_SOCIAL_NETWORKING_TWITTER_NOSCRIPT_END"/></p>
-					</noscript>
-				</div>
-			</body>
-		</html>
-	</xsl:template>
+                $j('div#<xsl:value-of select="$common-service-id-name"/>').jTweetsAnywhere(
+                    {
+                        username: finalAccounts,
+                        count: <xsl:value-of select="$max" />,
+                        showTweetFeed: {
+                                showSource: true, // show info about the source of the tweet
+                                showTimestamp: true, // to display a tweet's timestamp
+                                expandHovercards: true, // show Hovercards in expanded mode
+                                showProfileImages : <xsl:value-of select="$displayicon" /> // display a profile image in tweets
+                        },
+                        includeRetweets: true,
+                        showConnectButton: true,
+                        showLoginInfo: true,
+                        tweetSourceDecorator: function(tweet, options)
+                        {
+                            // if tweet is a native retweet, use the retweet's source
+                            var tw = tweet.retweeted_status || tweet;
+                    
+                            var source = tw.source.replace(/\&amp;lt\;/gi,'&lt;').replace(/\&amp;gt\;/gi,'>').replace(/\&amp;quot\;/gi,'"');
+                            var html =
+                                '&lt;span class="jta-tweet-source">' +
+                                ' via ' +
+                                '&lt;span class="jta-tweet-source-link">' +
+                                source +
+                                '&lt;/span>' +
+                                '&lt;/span> ' +
+                                '&lt;a class="jta-tweet-retweet" target="_blank" href="http://twitter.com/home?status=' + 'RT+@' + tweet.from_user + ':+' + encodeURIComponent(tweet.text) + '">'
+                                + '<i18n:text i18n:key="PLUGINS_SOCIAL_NETWORKING_TWITTER_RETWEET"/>'
+                                + '&lt;/a>';
+                    
+                            return html;
+                        }
+                    }                           
+                );
+            }
+            $j(document).ready(<xsl:value-of select="$common-service-id-name"/>_onready);
+        </script>            
+    </xsl:template>     
+    
+    <!-- +
+         | ROOT TEMPLATE
+         + -->    
+    <xsl:template match="/">
+         <xsl:call-template name="common-service"/> 
+    </xsl:template>
+    
+    <!-- +
+         | BODY
+         + -->    
+
+    <!-- Used in common.xsl --> 
+    <xsl:template name="common-service-body-nonempty-content">
+        <!-- TODO add title CMS-2706 -->
+<!--        <xsl:call-template name="common-service-body-nonempty-content-title">-->
+<!--            <xsl:with-param name="title" select="$service-title"/>-->
+<!--            <xsl:with-param name="default-title">plugin.newsletter:NEWSLETTERS_SERVICE_LIST_DESCRIPTION</xsl:with-param>-->
+<!--        </xsl:call-template>-->
+        
+        <xsl:call-template name="socialnetworking-noscript"/>
+    </xsl:template>        
 	
-	<xsl:template name="split-usernames">
+    <xsl:template name="socialnetworking-noscript">
+        <noscript>
+            <p><i18n:text i18n:key="PLUGINS_SOCIAL_NETWORKING_TWITTER_NOSCRIPT_BEGIN"/></p>
+            <ul>
+                <xsl:call-template name="split-usernames">
+                    <xsl:with-param name="usersnames" select="$usersnames"/>
+                </xsl:call-template>
+            </ul>
+            <p><i18n:text i18n:key="PLUGINS_SOCIAL_NETWORKING_TWITTER_NOSCRIPT_END"/></p>
+        </noscript>    
+    </xsl:template>
+    
+    <!-- TODO -->	
+    <xsl:template name="split-usernames">
 		<xsl:param name="usersnames"/>
 		
 		<xsl:variable name="username" select="translate(substring-before($usersnames, ','), ' ', '')"/>
@@ -126,9 +162,16 @@
 		</xsl:choose>
 	</xsl:template>
 	
+    <!-- TODO -->    
 	<xsl:template name="show-tweet">
 		<xsl:param name="username"/>
 		
-		<li><a href="http://twitter.com/{$username}"><i18n:text i18n:key="PLUGINS_SOCIAL_NETWORKING_TWITTER_NOSCRIPT_USER_BEGIN"/><xsl:value-of select="$username"/><i18n:text i18n:key="PLUGINS_SOCIAL_NETWORKING_TWITTER_NOSCRIPT_USER_END"/></a></li>
+		<li>
+            <a href="http://twitter.com/{$username}">
+               <i18n:text i18n:key="PLUGINS_SOCIAL_NETWORKING_TWITTER_NOSCRIPT_USER_BEGIN"/>
+	           <xsl:value-of select="$username"/>
+               <i18n:text i18n:key="PLUGINS_SOCIAL_NETWORKING_TWITTER_NOSCRIPT_USER_END"/>
+            </a>
+        </li>
 	</xsl:template>
 </xsl:stylesheet>
